Subject: Re: bug#41715: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: [email-masked]
Date: Mon, 08 Jun 2020 16:55:34 +0200

Hi Ludo,

here is the log uploaded on mediafire: 
http://www.mediafire.com/file/ldqoi68y88rzrn9/log.bz2/file (note that if 
you can recommend another uploading service, feel free to!)

Since the log is in german, let me specify at least two of the recurrent 
phrases in english:
"Datei oder Verzeichnis nicht gefunden" means "file or directory not 
found"
"Die Ressource ist zur Zeit nicht verfügbar" means "Resource is 
currently unavailable"

If there is other things that need be translated, dont hesitate to tell 
me :)

Greetings,
Olivier

On 07.06.2020 21:47, Ludovic Courtès wrote:
> Hi,
> 
> [email-masked] skribis:
> 
>> guix pull --roll-back did not solve the issue. The only thing I
>> believe to have changed is the "host version" portion of the error
>> message.
> 
> OK, that’s expected.
> 
>> 'which guix' actually points to
>> ~/.configu/guix/current/bin/guix. Should this command yield a
>> different value?
> 
> No.
> 
>> I have actually not done anything regarding either guix-daemon or
>> offloading. The only things I did after the fresh install were a
>> reconfigure and passing a manifest file to 'guix package -m'.
>> 
>> I may have misunderstood what Jakub wrote because I am unsure what a
>> transient failure is. The portion I believe to have understood
>> essentially says "try again later and it should work".
> 
> Yes, that’s the essence of it.  :-)
> 
>> I found the logs of 'compute-guix-derivation', but I was unable to see
>> anything meaningful opening the .drv.bz2 file in emacs. Am I doing
>> something wrong?
> 
> Could you try this:
> 
>   strace -s 500 -o log guix pull
> 
> and post the ‘log’ file, compressed, somewhere?
> 
> Thanks,
> Ludo’.